Sessions
List session memories
Returns the memories extracted from this session, paginated. Sorted by createdAt descending (newest first) by default.
Authorization
Bearer readAuthorizationBearer <token>
Each operation lists the OAuth scope (read or write) it requires.
In: header
Scope: read
Path Parameters
patientId*string
ID of the patient
Match
^[A-Za-z0-9._~:-]{1,128}$sessionId*string
Unique session ID returned when the session was created.
Length
1 <= lengthQuery Parameters
page?|
Zero-indexed page of memories to return. Defaults to 0.
Range
0 <= valueDefault
0perPage?integer
Number of memories per page. Defaults to 100; maximum is 1000.
Range
1 <= value <= 1000Default
100sort?"createdAt"
Field to sort by. One of: createdAt. Defaults to createdAt.
Default
"createdAt"Value in
- "createdAt"
order?string
Sort direction. Defaults to desc.
Default
"desc"Value in
- "asc"
- "desc"
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/patients/string/sessions/string/memories"{ "data": [ { "id": "string", "type": "symptom", "content": "string", "sessionId": "string", "createdAt": "string" } ], "meta": { "total": 0, "page": 0, "perPage": 0 }}